> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an X Community

> Get an X Community's name, description, join policy, member count, and creator by url.



## OpenAPI

````yaml get /v1/twitter/community
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/twitter/community:
    get:
      tags:
        - Twitter
      summary: Get an X Community
      description: >-
        Retrieves an X Community's details by its x.com/i/communities/{id} URL —
        name, description, join policy, created date, member count, and creator.
        Requires a Starter plan or higher.
      operationId: getTwitterCommunity
      parameters:
        - name: url
          in: query
          required: true
          schema:
            type: string
            format: uri
      responses:
        '200':
          description: Structured X Community detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TwitterCommunityResponse'
        '400':
          description: Missing url, or url does not contain a resolvable community id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Twitter/X dedicated endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The requested Community could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Daily credit cap exceeded, or X rate-limited the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: X blocked the request or returned an unusable response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: The X execution backend is unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: >-
            curl
            "https://api.scrapio.dev/v1/twitter/community?url=https%3A%2F%2Fx.com%2Fi%2Fcommunities%2F1493446837214187523"
            \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    TwitterCommunityResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - twitter
        request_id:
          type: string
        community:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
            name:
              anyOf:
                - type: string
                - type: 'null'
            description:
              anyOf:
                - type: string
                - type: 'null'
            join_policy:
              anyOf:
                - type: string
                - type: 'null'
            created_at:
              anyOf:
                - type: string
                - type: 'null'
            member_count:
              anyOf:
                - type: integer
                  minimum: 0
                  maximum: 9007199254740991
                - type: 'null'
            creator:
              type: object
              properties:
                username:
                  anyOf:
                    - type: string
                    - type: 'null'
                display_name:
                  anyOf:
                    - type: string
                    - type: 'null'
                avatar_url:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - username
                - display_name
                - avatar_url
              additionalProperties: false
          required:
            - id
            - name
            - description
            - join_policy
            - created_at
            - member_count
            - creator
          additionalProperties: false
      required:
        - provider
        - request_id
        - community
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````